<!DOCTYPE html>
<html>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="style.css">
<head>
    <title>Studienteilnahme</title>
</head>
<body>
    <h2>
        Zweite Aufgabe
    </h2>
    <p> Klicken Sie auf den "Aufgabe 2" Button um die erste Aufgabe zu starten. Sobald das Dokument sich öffnet
        beginnt der 10 Minuten Timer. Nach Ablauf der Zeit hören sie einen Benachrichtigungston. Bitte schließen sie dann
        den Tab und kehren hier hin zurück. Lassen sie diesen Tab einfach offen während sie die Aufgabe bearbeiten.
    <p>
    <div class="container">
        <audio src="announcementbell.wav" id="my_audio"></audio>
        <button onclick="timerpopup()">
            Aufgabe 2
        </button>
    </div>
        <p>
            Bitte fülle jetzt den Fragebogen zu Aufgabe 2 aus!</br>
            Fertig mit dem Fragebogen? Dann geht es hier weiter zur nächsten Aufgabe. Bitte bestätigen Sie, dass der Fragebogen
            ausgefüllt wurde bevor sie weiter klicken können. Machen Sie hier gerne kurz Pause falls
            notwendig.
        </p>
    <div class="checkbox">
        <label for="terms_and_conditions">Ich habe den Frageoben ausgefüllt:</label>
        <input type="checkbox" id="terms_and_conditions" value="1" onclick="terms_changed(this)" />
    </div>
    <div class="container">
        <button onclick=" window.open('page1.html','_self')">
            Zurück
        </button>
        <button class="weiter" type="submit" id="weiterbutton" disabled onclick=" window.open('page3.html','_self')">
            Bitte Fragebogen Bestätigen
        </button>
    </div>
</body>
</html>
<script>
    function timerpopup(){
        window.open('https://docs.google.com/document/d/1QuJg3e8IB4bSsjmGkVlBJouVAg5vsGPgRCQT7peP-jc/edit?usp=sharing','_blank');
        setTimeout(function(){document.getElementById("my_audio").play()},600000);    
    }

    function terms_changed(termsCheckBox){
    //If the checkbox has been checked
    if(termsCheckBox.checked){
        //Set the disabled property to FALSE and enable the button.
        document.getElementById("weiterbutton").disabled = false;
        document.getElementById("weiterbutton").innerHTML ="Weiter";
        document.getElementById("weiterbutton").color = "grey";
    } else{
        //Otherwise, disable the submit button.
        document.getElementById("weiterbutton").disabled = true;
        document.getElementById("weiterbutton").innerHTML ="Bitte Fragebogen Bestätigen";
    }
}
</script>